お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2007-01-22 11:00:08

takafu
新しいメンバ
登録日: 2007-01-22

apt-getで、graphviz-cairo パッケージの処理中にエラー

apt-get でパッケージをインストールしようとしても、きちんとアンインストールされてないパッケージがあるらしくてインストール出来ません。
以下、返ってきたエラーです。

taka@taka-ubuntu:~$ sudo apt-get remove
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
Reading state information... 完了           
The following packages were automatically installed and are no longer required:
  graphviz-cairo
Use 'apt-get autoremove' to remove them.
以下のパッケージは「削除」されます:
  graphviz-cairo
アップグレード: 0 個、新規インストール: 0 個、削除: 1 個、保留: 0 個。
1 個のパッケージが完全にインストールまたは削除されていません。
0B のアーカイブを取得する必要があります。
展開後に 193kB のディスク容量が解放されます。
続行しますか [Y/n]?
(データベースを読み込んでいます ... 現在 144684 個のファイルとディレクトリがインストールされています。)
graphviz-cairo を削除しています ...
/var/lib/dpkg/info/graphviz-cairo.postrm: 11: dot: not found
dpkg: graphviz-cairo の処理中にエラーが発生しました (--remove):
サブプロセス post-removal script はエラー終了ステータス 127 を返しました
以下のパッケージの処理中にエラーが発生しました:
graphviz-cairo
E: Sub-process /usr/bin/dpkg returned an error code (1)

検索しても、似たようなエラーは無いし、/var/lib/dpkg/info/graphviz-cairo.postrmを見ても意味がわかりませんでした。

どうやって解決した良いか、アイディアがありましたら教えてください。

オフライン

 

#2 2007-01-22 11:38:10

deer
新しいメンバ
登録日: 2006-10-30

Re: apt-getで、graphviz-cairo パッケージの処理中にエラー

似たようなエラーがでたことがあり、dpkg関係のファイルを直す必要があったと思うのですが、記憶が定か
ではありません。

http://ubuntuforums.org/showthread.php?t=286023

は、参考になりませんでしょうか?

オフライン

 

#3 2007-01-22 20:31:35

takafu
新しいメンバ
登録日: 2007-01-22

Re: apt-getで、graphviz-cairo パッケージの処理中にエラー

ありがとうございます。
紹介していただいたページの通りにやると、出来ました。

日本語で検索した人のために一応やったことを書いておきます。
sudo mv /var/lib/dpkg/info/graphviz-cairo.postrm ./
sudo apt-get autoremove

最初の行で、graphviz-cairo.postrmをカレントディレクトリに移動させたのは、消すのがなんとなく恐かったからです。
無事成功したので消しました。

「アプリケーションの追加と削除」でなんとなく面白そうだな、と思ってインストールしたDotEdit (graphviz-cairo)が原因のエラーでした。
Ubuntu6.10の環境では上手くインストール出来ないみたいです。

オフライン

 

Board footer

Powered by FluxBB